clear all 
set more off 

*MAC OR PC
*If PC
*local s "\"
*local m "G:\My Drive\"
*If MAC
local s "/"
local m "`s'Data Supplement`s'"


*Directories 

local march19 "`m'data`s'yields`s'yields_march19.dta"
local outdir "`m'out`s'"


*Load data
local data "`march19'"


use "`data'" , clear

bys cme_april19 moodys_r: gen nbonds=[_N]

collapse (mean) close_yld nbonds, by(cme_april moodys_r)


label define rating 1 "AAA" 2 "AA1" 3 "AA2" 4 "AA3" 5 "A1" 6 "A2" 7 "A3" 8 "BAA1" 9 "BAA2" 10 "BAA3"
label values moodys_r rating
twoway  (scatter close_yld moodys_r [w=nbonds] if cme_april==1, m(dh)  mcolor(red)) (scatter close_yld moodys_r [w=nbonds] if cme_april==0, m(oh) mcolor(blue)) (scatter close_yld moodys_r  if cme_april==0, m(o)  mcolor(blue) msize(small)) (scatter close_yld moodys_r  if cme_april==1, m(d) mcolor(red) msize(small)), legend(off)  xtitle("Moody's credit rating") scheme(s1color) xlabel(1 2 3 4 5 6 7 8 9 10 , valuelabel) ylabel(2.75 3 3.25 3.5 3.75 4 4.25)  ytitle("Average yields")
gr export "`outdir'fig6.eps", replace

